Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
Public Member Functions
kProcess Class Reference
kApi/Utils

## Description

Represents a process.

kProcess class allows to start a process and offers the possibility to define multiple arguments. For Input and output kPipeStream class can be used. For a kPipeStream of stdin, stdout or stderr for the current process see kStdIn(), kStdOut() and kStdErr() in kPipeStream.h.

Inheritance diagram for kProcess:

## Public Member Functions
kStatus | kProcess_AddArgument (kProcess process, const kChar *argument)
| Adds an argument. More...
kStatus | kProcess_AddArguments (kProcess process, const kChar *arguments[], kSize argCount)
| Adds an array of arguments. More...
kStatus | kProcess_ClearArguments (kProcess process)
| Deletes all arguments. More...
kStatus | kProcess_Construct (kProcess *process, const kChar *path, kAlloc allocator)
| Constructs a kProcess object. More...
kBool | kProcess_IsAlive (kProcess process)
| Determines if the process is still alive. More...
kStatus | kProcess_Start (kProcess process)
| Starts the new process. More...
kStream | kProcess_StdErr (kProcess process)
| Returns the stderr of the process as kStream. More...
kStream | kProcess_StdIn (kProcess process)
| Returns the stdin of the process as kStream. More...
kStream | kProcess_StdOut (kProcess process)
| Returns the stdout of the process as kStream. More...
kStatus | kProcess_Wait (kProcess process, k64u timeout, k64s *exitCode)
| Waits for child process completion, otherwise terminates child after the timeout. More...
Public Member Functions inherited from kObject
kAlloc | kObject_Alloc (kObject object)
| Gets the memory allocator associated with this object. More...
kStatus | kObject_Clone (kObject *object, kObject source, kAlloc allocator)
| Constructs a new object by copying an existing object, including any aggregated child elements. More...
kStatus | kObject_Destroy (kObject object)
| Destroys the object. More...
kStatus | kObject_Dispose (kObject object)
| Destroys the object and any aggregated child elements. More...
kBool | kObject_Equals (kObject object, kObject other)
| Determines whether the object is equal to another object. More...
kBool | kObject_HasForeignData (kObject object)
| Reports whether the object, including aggregated child elements, contains any foreign memory references. More...
kSize | kObject_HashCode (kObject object)
| Gets a hash code representing the state of this object. More...
kBool | kObject_Is (kObject object, kType type)
| Determines whether this object is an instance of the specified type. More...
kBool | kObject_IsShared (kObject object)
| Reports whether the object is currently shared (reference count greater than one). More...
kStatus | kObject_SetPool (kObject object, kObjectPool pool)
| Sets the object pool associated with this object. More...
kStatus | kObject_Share (kObject object)
| Increments the reference count associated with this object. More...
kSize | kObject_Size (kObject object)
| Estimates the memory consumed by this object, including any aggregated child elements. More...
kType | kObject_Type (kObject object)
| Returns the type of the object. More...

## Additional Inherited Members
Protected Member Functions inherited from kObject
kStatus | kObject_FreeMem (kObject object, void *mem)
| Protected method called by derived classes to free memory using the object's allocator. More...
kStatus | kObject_FreeMemRef (kObject object, void *mem)
| Protected method called by derived classes to free memory (and reset the provided memory pointer to kNULL) using the object's allocator. More...
kStatus | kObject_GetMem (kObject object, kSize size, void *mem)
| Protected method called by derived classes to allocate memory using the object's allocator. More...
kStatus | kObject_GetMemZero (kObject object, kSize size, void *mem)
| Protected method called by derived classes to allocate and zero memory using the object's allocator. More...
kStatus | kObject_Init (kObject object, kType type, kAlloc alloc)
| Protected method called by derived classes to initialize the kObject base class. More...
kStatus | kObject_VDisposeItems (kObject object)
| Protected virtual method that destroys any aggregated child objects associated with a collection. More...
kBool | kObject_VEquals (kObject object, kObject other)
| Protected virtual method that compares two objects for equality. More...
kBool | kObject_VHasForeignData (kObject object)
| Protected virtual method that reports whether the object, including aggregated child elements, contains any foreign memory references. More...
kSize | kObject_VHashCode (kObject object)
| Protected virtual method that calculates a hash code representing the object instance. More...
kStatus | kObject_VInitClone (kObject object, kObject source, kAlloc allocator)
| Protected virtual method that clones (makes a deep copy of) the specified source object. More...
kStatus | kObject_VRelease (kObject object)
| Protected virtual method that deallocates any resources owned by the object. More...
kSize | kObject_VSize (kObject object)
| Protected virtual method that calculates the total size (in bytes) of the object instance. More...

The documentation for this class was generated from the following file:

- Utils/kProcess.h